=== debian/changelog ===
seqan2 (2.3.1+dfsg-5ubuntu2) artful; urgency=medium

  * Fix missing exec bit on debian/generate_manpages, somehow dropped in
    merge.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Aug 2017 00:58:56 -0700

seqan2 (2.3.1+dfsg-5ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add amd64 and arm64 to the list of low-memory architectures
    - Enable build on armhf

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 05 Jul 2017 17:34:14 +0530

seqan2 (2.3.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    Thanks to Chris Lamb for the patch.
    Closes: #862484

 -- Sascha Steinbiss <satta@debian.org>  Tue, 04 Jul 2017 23:24:52 +0200

seqan2 (2.3.1+dfsg-4ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add amd64 and arm64 to the list of low-memory architectures
    - Enable build on armhf
    - Add patch from Chris Lamb to make the build reproducible.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 04 Jun 2017 10:16:12 +0530

seqan2 (2.3.1+dfsg-4) unstable; urgency=medium

  * Fix FTBFS when built with dpkg-buildpackage -A (thanks for the patch to
    Santiago Vila <sanvila@debian.org>)
    Closes: #864026

 -- Andreas Tille <tille@debian.org>  Sat, 03 Jun 2017 16:15:29 +0200

seqan2 (2.3.1+dfsg-3.1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add amd64 and arm64 to the list of low-memory architectures
    - Enable build on armhf
    - Add patch from Chris Lamb to make the build reproducible.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 31 May 2017 10:43:50 +0530

seqan2 (2.3.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix broken /usr/bin/splazers symlink on 32-bit architectures.
    (Closes: #863669)

 -- Chris Lamb <lamby@debian.org>  Mon, 29 May 2017 22:56:39 +0100

seqan2 (2.3.1+dfsg-3ubuntu1) zesty; urgency=medium

  * Add amd64 and arm64 to the list of low-memory architectures
  * Enable build on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2017 15:37:06 +0200

seqan2 (2.3.1+dfsg-3) unstable; urgency=medium

  * add patch FWDs, set HOME to fix manpages

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Jan 2017 01:34:05 -0800

seqan2 (2.3.1+dfsg-2) unstable; urgency=medium

  * Remove archs with failing builds: armhf mips mipsel
  * Set SEQAN_REVISION to 'tarball' so that ccache isn't poisened by changes
    to debian/
  * Release to unstable

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 Jan 2017 00:23:26 -0800

seqan2 (2.3.1+dfsg-1) experimental; urgency=medium

  * Try to save more memory on kfreebsd-*
  * Fix parallel build disabling to not produce warnings
  * New upstream release, three incorporated patched removed

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Jan 2017 05:36:28 -0800

seqan2 (2.3.0~1.20161019~af07bc1+dfsg-4) experimental; urgency=medium

  * Try out -O3 for many architectures as that is upstream's default.
  * Skip unneeded build for -indep.
  * Fix architecture detection logic.
  * Fix from upstream for another sparc64 related typo.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 26 Oct 2016 03:31:54 -0700

seqan2 (2.3.0~1.20161019~af07bc1+dfsg-3) experimental; urgency=medium

  * Fix recursive variable expansion error.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Oct 2016 07:54:44 -0700

seqan2 (2.3.0~1.20161019~af07bc1+dfsg-2) experimental; urgency=medium

  * Fix typo from upstream's patch.
  * Work around GNU Hurd TANDEM problem
  * Skip armel
  * Test -O1 for mips[el] 
  * Test turning off parallel builds for armhf, mips, kfreebsd-*

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 20 Oct 2016 04:48:11 -0700

seqan2 (2.3.0~0.201610100~af07bc1+dfsg+1) experimental; urgency=medium

  * Second experimental build to test fix for #840030. Source from
    https://github.com/seqan/seqan/pull/1887/commits/af07bc19087e662117b70d733e963a1611aa9b9a

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 20 Oct 2016 02:06:15 -0700

seqan2 (2.3.0~0.20161011~73a5aaf+dfsg-1) experimental; urgency=low

  * Experimental build to test fix for #840030

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Oct 2016 07:08:05 -0700

seqan2 (2.2.0+dfsg-6) UNRELEASED; urgency=medium

  * Drop Soeren Sonnenburg from Uploaders

 -- Andreas Tille <tille@debian.org>  Sat, 03 Dec 2016 08:08:51 +0100

seqan2 (2.2.0+dfsg-5) unstable; urgency=medium

  * Fix build issue with boost 1.62 (Thanks for the patch to Graham Inggs
    <ginggs@debian.org>)
    Closes: #846617
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 19:01:10 +0100
