=== debian/control ===
Source: seqan2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Michael R. Crusoe <michael.crusoe@gmail.com>,
           Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               zlib1g-dev,
               libbz2-dev,
               libbam-dev,
               libboost-dev,
               dh-exec,
               help2man,
               python,
               python-jinja2,
               python-sphinx,
               python-nose,
               default-jdk,
               dh-linktree
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seqan2.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/seqan2.git
Homepage: http://www.seqan.de/

Package: seqan-apps
Architecture: any-amd64 arm64 armhf any-i386 mips64el powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
# armel, not until std::future works https://gcc.gnu.org/bugzilla/show_bug.cgi?id=64735
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for the analysis of biological sequences
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance. This package contains the applications dfi, pair_align,
 micro_razers, seqan_tcoffee, seqcons, razers and tree_recon.

Package: libseqan2-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Conflicts: seqan-dev
Description: C++ library for the analysis of biological sequences (development)
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance.
 .
 This package contains the developer files.

#Package: seqan2-doc
#Architecture: all
#Section: doc
#Depends: ${misc:Depends},
#         libjs-bootstrap,
#         libjs-prettify,
#         libjs-jquery
#Description: C++ library for the analysis of biological sequences (documentation)
# SeqAn is a C++ template library of efficient algorithms and data
# structures for the analysis of sequences with the focus on
# biological data. This library applies a unique generic design that
# guarantees high performance, generality, extensibility, and
# integration with other libraries. SeqAn is easy to use and
# simplifies the development of new software tools with a minimal loss
# of performance. This package contains the applications dfi, pair_align,
# micro_razers, seqan_tcoffee, seqcons, razers and tree_recon.
# .
# This package contains the documentation and examples.
